mia-2dimagestats
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dimagestats

#### Sysnopis:

`mia-2dimagestats` {-i `io`} [ `options` ...]

#### Description:

This progranm is used to evaluate some statistics of an image. Output is Mean, Variation, Median, and Median Average Distance of the intensity values. The program allows one to set a lower threshold and to cut off a percentage of the high intensity pixels

#### Options:

-i, --in-file=(input, required); io

  input image to be analyzed. For supported file types see Plugin type: 2dimage/io

-t, --thresh=10; float

  intensity thresh to ignore

-g, --high-thresh=0.05; float

  upper histogram percentage to ignore

--use-histogram

  Use a histogram to accumulate statistics

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the statistics of image input.png. Don't include the upper 1% of intensities in the statistics. The result is written to stdout

    mia-2dimagestats -i input.png -g 1

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dimageseries-maximum-intensity-projection | Home | mia-2dlerp